Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023696Runner[All Projects] FunctionsPublic2016-09-17 02:432017-03-02 15:33
ReporterGameGeisha 
Assigned ToRussell Kay 
PriorityHighSeverityB - MajorReproducibility100%
StatusClosedResolutionFixed 
PlatformOSOS Version
Summary0023696: Functions: Built-in effects are completely broken (both GML and D&D)
DescriptionSomething broke the built-in effect system since 1.4.1757, producing erratic behaviours that vary across platforms.
Steps To ReproduceRun the attached project under F5 or F6 to observe the abnormal behaviours.

On Windows: The D&D actions ignore the x and y fields, insisting on creating the effects at (x, y).

On HTML5: Both the D&D actions and calls to effect_create_above()/effect_create_below() result in errors that cause the current event to abort. Running under F6 confirms that the effect_*() functions are the cause.

I have not tested other platforms at the moment, but I suspect similar faults.
1.4 Version1.4.1760
2.x Runtime Version
2.x Runtime Version Verified In
Attached Files? file icon BrokenEffects.gmz [^] (19,349 bytes) 2016-09-17 02:43

- Relationships

-  Notes
(0050617)
Russell Kay (Manager)
2016-12-05 15:22

Fixed in gitlab - 3ee098a
(0051901)
Ross Manthorp (Administrator)
2017-03-02 15:33

Verified. Closed.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker